Name:             hicolor-icon-theme
Version:          0.17
Release:          7
Summary:          The default icon theme

License:          GPLv2+
URL:              https://www.freedesktop.org/wiki/Software/icon-theme/
Source0:          https://icon-theme.freedesktop.org/releases/%{name}-%{version}.tar.xz
BuildArch:        noarch

Requires(post):   coreutils
Requires(postun): coreutils

%description
Icon-theme contains the standard also references the default
icon theme called hicolor.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
touch %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache

%transfiletriggerin -- %{_datadir}/icons/hicolor
gtk-update-icon-cache --force %{_datadir}/icons/hicolor &>/dev/null || :

%transfiletriggerpostun -- %{_datadir}/icons/hicolor
gtk-update-icon-cache --force %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc README
%defattr(-,root,root)
%dir %{_datadir}/icons/hicolor
%ghost %{_datadir}/icons/hicolor/icon-theme.cache
%{_datadir}/icons/hicolor/index.theme
%{_datadir}/icons/hicolor/*/*
%license COPYING

%changelog
* Tue Oct 25 2022 wangkerong <wangkerong@h-partners.com> - 0.17-7
- rebuild for next release

* Tue Feb 9 2021 jinzhimin <jinzhimin2@huawei.com> - 0.17-6
- rebuild hicolor-icon-theme

* Tue Feb 9 2021 jinzhimin <jinzhimin2@huawei.com> - 0.17.5
- fix the bug for packing files

* Mon Aug 26 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.17-4
- Package Init
